# Planning update The planning endpoint enables you to update the transport planning for a trip and add optional eCMR delegation. An important notice: all data in the message will be visible to all parties with access to the planning of the specific trip Endpoint: POST /{shipper_code}/transporter/v3/{carrier_code}/planning Version: 5.1 Security: BearerAuth ## Path parameters: - `shipper_code` (string, required) Unique shipper code as provided by Simacan - `carrier_code` (string, required) Unique carrier code as provided by Simacan ## Request fields (application/xml): - `planning` (object) - `planning.tripId` (string, required) Unique reference for this trip Example: "800099" - `planning.timestamp` (string, required) Timestamp when record was created Example: "2014-08-13T12:20:00+02:00" - `planning.driver` (string) Driver name.Important: Visible to all parties with access to the planning of the specific trip Example: "William de Vries" - `planning.fuelType` (string, required) A choice of fuelType Enum: "EURO_5_DIESEL", "EURO_5_DIESEL_EEV", "EURO_6_DIESEL", "HYBRIDE_DIESEL_EURO_5", "HYBRIDE_DIESEL_EURO_6", "CNG", "LNG", "LBM", "CBG", "EV", "DUAL_FUEL_LNG_DIESEL", "DUAL_FUEL_CNG_DIESEL", "DUAL_FUEL_LBM_DIESEL", "DUAL_FUEL_CBG_DIESEL" - `planning.licensePlateTractor` (string, required) License plate for the tractor Example: "TE-ST-02" - `planning.tractorType` (string, required) The specific type of tractor Enum: "BAKWAGEN", "BAKWAGEN_KOEL", "BAKWAGEN_KOEL_COMBI", "BAKWAGEN_KLEIN", "BAKWAGEN_KLEIN_KOEL", "BAKWAGEN_KLEIN_KOEL_COMBI", "TREKKER" - `planning.customer` (string, required) Specify for which customer is being driven Example: "peterson" - `planning.subcontractor` (string) Name of the subcontractor. By using this optional field, the trip is subcontracted/chartered to another carrier. The subcontractor is then enabled to send in data for this trip and see it in control tower Example: "jansson" - `planning.trailers` (array) - `planning.trailers.trailerId` (string, required) Unique id for the trailer Example: "KDZ-Opl1" - `planning.trailers.licensePlate` (string, required) License plate for the trailer Example: "KDZ-Opl1" - `planning.trailers.trailerType` (string, required) The specific type of trailer Enum: "BAKWAGEN", "BAKWAGEN_KOEL", "BAKWAGEN_KOEL_COMBI", "BAKWAGEN_KLEIN", "BAKWAGEN_KLEIN_KOEL", "BAKWAGEN_KLEIN_KOEL_COMBI", "CITY_8_00", "CITY_8_00_KOEL", "CITY_8_00_KOEL_COMBI", "CITY_9_80", "CITY_9_80_KOEL", "CITY_9_80_KOEL_COMBI", "CITY_10_50", "CITY_10_50_KOEL", "CITY_10_50_KOEL_COMBI", "CITY_11_20", "CITY_11_20_KOEL", "CITY_11_20_KOEL_COMBI", "CITY_11_60", "CITY_11_60_KOEL", "CITY_11_60_KOEL_COMBI", "EURO_13_60", "EURO_13_60_KOEL", "EURO_13_60_KOEL_COMBI", "KORTE_CITY_8_85", "KORTE_CITY_8_85_KOEL", "KORTE_CITY_8_85_KOEL_COMBI", "TREKKER" - `planning.phoneNumber` (string) The phone number of the driver Example: "+31612345678" - `planning.ecmrDelegate` (string) Exact subaccountname as used in TransFollow portal Example: "subaccount" - `planning.customerData` (array) - `planning.customerData.name` (string, required) The name or key for the custom field For example: Plan Group Example: "Business Unit" - `planning.customerData.value` (string, required) The value for the custom field For example: Fast moving Example: "Any" ## Response 404 fields (application/problem+json): - `title` (string, required) Enum: "notFound" - `status` (integer, required) Enum: 404 - `entity` (string, required) Enum: "trip", "carrier", "shipper" - `detail` (string, required) Example: "Entity of type shipper was not found for `unknown_shipper'." ## Response 204 fields ## Response 400 fields ## Response 401 fields